/shop/ordersRetrieve all orders matching the given parameters
Use this endpoint to retrieve orders
Query parameters
The query to filter orders on.
The customer ID to filter orders on.
The statuses to filter orders on. Separate multiple values with a comma.
The labels to filter orders on.
A comma separated string of offering ids to fetch orders for
Filter orders by the type of offering for their items. Separate multiple values with a comma.
A comma separated string of user ids to fetch orders for
Filter orders by guest residency. Separate multiple values with a comma. Use
not_recordedfor orders with no guest residency.Filter on orders with a revenue date on or after this date.
Filter on orders with a revenue date on or before this date.
Filter on orders with an items on this date.
Filter on orders with an item date on or after this date.
Filter on orders with an item date on or before this date.
Filter on orders with an item status of one of these comma-separated values.
Filter on orders with a submitted date on or after this time.
Filter on orders with a submitted date before this date.
Filter on orders with a updated date on or after this date.
Filter on orders with a updated date before this date.
Filter on orders that contain a membership purchase
Filters on orders that have an outstanding balance
Filter on orders that have one of the given sales channel IDs. Separate multiple IDs with a comma.
Filter on an external ID, in the format
{key}:{value}How to order the results.
scoreranks by search relevance (use withquery),start_timeby earliest item start time ascending; any other value orders by newest submission first.Possible values:scorestart_timesubmitted_atPass
trueto return a single 'items' array rather than separate arrays for each item typeFilter on orders with one of the given IDs. Separate multiple IDs with a comma.
Filter on orders that have (
true) or have not (false) had a promo code appliedFilter on orders where the promo code was applied by one of the given user IDs. Separate multiple IDs with a comma.
Filter on orders belonging to this partner
Filter on orders with an item assigned to one of the given practitioner IDs. Separate multiple IDs with a comma.
Filter on orders with a discount of one of the given discount type IDs, applied to the order or one of its items. Separate multiple IDs with a comma.
Filter on orders with a discount applied on or after this time.
Filter on orders with a discount applied on or before this time.
Filter results by the site they belong to
The page to retrieve results from
The number of results to return per page
Responses
- 200
The
Orders were successfully retrieved - 401
The user is unauthenticated